/*
** ---------------------------------------------------------------------------
** SVN Repository ...: $HeadURL: file:///Data/_Privat/Programmieren/Source-Repository/SVN/BeanDocument/trunk/test/net/beandocument/BeanDocumentTest.java $
** Author ...........: $LastChangedBy: jscheffl $
** Modified .........: $LastChangedDate: 2005-03-25 14:56:46 +0100 (Fr, 25 Mrz 2005) $
** Revision .........: $LastChangedRevision: 50 $
** Responsible ......: Jens Scheffler
** Initial version ..: Jens Scheffler
** ---------------------------------------------------------------------------
*/
package net.beandocument;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
//import javax.xml.transform.stream.StreamSource;

import junit.framework.TestCase;

import org.w3c.dom.Document;

/**
 * Test Case for BeanDocument class.
 * @author Jens Scheffler
 */
public class BeanDocumentTest extends TestCase {
    
    /**
     * tests the bean document
     * @throws Exception
     */
    public final void testBeanDocument() throws Exception {
        BeanDocumentBuilder beanBuilder = new BeanDocumentBuilder();
        beanBuilder.setMaxDepth(5);
        Document xml = beanBuilder.getDocument(beanBuilder);
        xml = beanBuilder.getDocument(xml);
        TransformerFactory tf = TransformerFactory.newInstance();
        Transformer t = tf.newTransformer();
        t.transform(new DOMSource(xml), new StreamResult(System.out));
    }
}
