/*
** ---------------------------------------------------------------------------
** SVN Repository ...: $HeadURL: file:///Data/_Privat/Programmieren/Source-Repository/SVN/BeanDocument/trunk/src/net/beandocument/BeanCollectionElement.java $
** Author ...........: $LastChangedBy: jscheffl $
** Modified .........: $LastChangedDate: 2005-02-27 15:11:14 +0100 (So, 27 Feb 2005) $
** Revision .........: $LastChangedRevision: 11 $
** Responsible ......: Jens Scheffler
** Initial version ..: Jens Scheffler
** ---------------------------------------------------------------------------
*/
package net.beandocument;

import java.util.HashMap;
import java.util.Map;

import junit.framework.TestCase;

import org.w3c.dom.NodeList;

/**
 * Test Case for BeanMapElement class.
 * @author Jens Scheffler
 */
public class BeanMapElementTest extends TestCase {

    private BeanMapElement el;
    private BeanElement owner;
    private BeanDocument doc;

    /**
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        super.setUp();
        
        Map m = new HashMap();
        m.put("eins", "111");
        m.put("zwei", "222");
        m.put("drei", "333");
        BeanElementFactory ef = new BeanElementFactory();
        ef.setMaxDepth(5);
        doc = new BeanDocument(ef, this);
        owner = new BeanSimpleTypeElement(doc, doc, "test", this);
        el = new BeanMapElement(doc, owner, "test", m);
    }

    /**
     * A Test Case
     */
    public final void testGetChildNodes() {
        NodeList l = el.getElementsByTagName("element");
        assertEquals(3, l.getLength());
    }
}
